## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Summary: Examples and tools for JACK
Name: jack-example-tools
Version: 4
Release: %autorelease
URL: https://github.com/jackaudio/%{name}
License: GPL-2.0-or-later
Source0: https://github.com/jackaudio/%{name}/archive/refs/tags/%{version}.tar.gz
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: meson
# Don’t use pkgconfig(jack) because both
# pipewire-jack-audio-connection-kit-devel and jack-audio-connection-kit-devel
# provide it.
BuildRequires: jack-audio-connection-kit-devel >= 1.9.20
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(opus)
BuildRequires: pkgconfig(readline)
BuildRequires: pkgconfig(samplerate)
BuildRequires: pkgconfig(sndfile)
BuildRequires: zita-alsa-pcmi-devel
BuildRequires: zita-resampler-devel

%description
The official examples and tools from the JACK project.

%package server
Summary: Examples and tools for the JACK audio server
License: GPL-2.0-or-later AND GPL-3.0-or-later
Requires: jack-audio-connection-kit%{?_isa}

%description server
This package contains example and tool plugins for the JACK server.

%prep
%autosetup
ln LICENSE LICENSE.GPLv2
ln tools/zalsa/LICENSE LICENSE.GPLv3

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc CHANGELOG.md README.md
%license LICENSE.GPLv2
%{_bindir}/alsa_in
%{_bindir}/alsa_out
%{_bindir}/jack_alias
%{_bindir}/jack_bufsize
%{_bindir}/jack_connect
%{_bindir}/jack_control_client
%{_bindir}/jack_cpu_load
%{_bindir}/jack_disconnect
%{_bindir}/jack_evmon
%{_bindir}/jack_freewheel
%{_bindir}/jack_impulse_grabber
%{_bindir}/jack_iodelay
%{_bindir}/jack_latent_client
%{_bindir}/jack_load
%{_bindir}/jack_load_test
%{_bindir}/jack_lsp
%{_bindir}/jack_metro
%{_bindir}/jack_midi_dump
%{_bindir}/jack_midi_latency_test
%{_bindir}/jack_midiseq
%{_bindir}/jack_midisine
%{_bindir}/jack_monitor_client
%{_bindir}/jack_net_master
%{_bindir}/jack_net_slave
%{_bindir}/jack_netsource
%{_bindir}/jack_property
%{_bindir}/jack_rec
%{_bindir}/jack_samplerate
%{_bindir}/jack_server_control
%{_bindir}/jack_showtime
%{_bindir}/jack_simdtests
%{_bindir}/jack_simple_client
%{_bindir}/jack_thru_client
%{_bindir}/jack_transport
%{_bindir}/jack_transport_client
%{_bindir}/jack_tw
%{_bindir}/jack_unload
%{_bindir}/jack_wait
%{_bindir}/jack_zombie
%{_mandir}/man1/alsa_in.1*
%{_mandir}/man1/alsa_out.1*
%{_mandir}/man1/jack_bufsize.1*
%{_mandir}/man1/jack_connect.1*
%{_mandir}/man1/jack_disconnect.1*
%{_mandir}/man1/jack_freewheel.1*
%{_mandir}/man1/jack_impulse_grabber.1*
%{_mandir}/man1/jack_iodelay.1*
%{_mandir}/man1/jack_load.1*
%{_mandir}/man1/jack_lsp.1*
%{_mandir}/man1/jack_metro.1*
%{_mandir}/man1/jack_monitor_client.1*
%{_mandir}/man1/jack_netsource.1*
%{_mandir}/man1/jack_property.1*
%{_mandir}/man1/jack_rec.1*
%{_mandir}/man1/jack_samplerate.1*
%{_mandir}/man1/jack_showtime.1*
%{_mandir}/man1/jack_simple_client.1*
%{_mandir}/man1/jack_transport.1*
%{_mandir}/man1/jack_unload.1*
%{_mandir}/man1/jack_wait.1*

%files server
%doc CHANGELOG.md README.md
%license LICENSE.GPLv2 LICENSE.GPLv3
%{_libdir}/jack/jack_inprocess.so
%{_libdir}/jack/jack_internal_metro.so
%{_libdir}/jack/jack_intime.so
%{_libdir}/jack/zalsa_in.so
%{_libdir}/jack/zalsa_out.so

%changelog
* Sun Nov 12 2023 Nils Philippsen <nils@tiptoe.de> - 4-1
- Initial import
